<?php

	/**
	 * Elgg VideoWhisper Video Conference
	 *
	 * @package ElggVideoconference
	 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU Public License version 2
	 * @author VideoWhisper.com
	 * @copyright VideoWhisper.com 2009-2010
	 * @link http://www.videowhisper.com/
	 */

class Videoconference extends ElggObject {

  protected function initialise_attributes() {
    parent::initialise_attributes();
    $this->attributes['subtype'] = 'videoconference';
  }

  public function __construct($guid = null) {
    parent::__construct($guid);
  }

  // more customizations here
}


		function videoconference_init() {

	  		// Load system configuration
				global $CONFIG;

  			// Set up menu for logged in users
				if (isloggedin()) {

					add_menu(elgg_echo('videoconference'), $CONFIG->wwwroot . "mod/videoconference/rooms.php");

				}

        // Extend system CSS with our own styles
				extend_view('css','videoconference/css');

        //add a widget
        add_widget_type('videoconferencerooms',"Video Conference Rooms","Video Conference Rooms");

        //register a page
        register_page_handler('videoconference', 'videoconference_page_handler');

        // Register a URL handler for videoconference rooms
				register_entity_url_handler('videoconference_url','object','videoconference');

        register_entity_type('object', 'videoconference');
        add_subtype('object', 'videoconference', 'Videoconference');
		}


    //page setup
    function videoconference_pagesetup() {

			global $CONFIG;

			//add submenu options
				if (get_context() == "videoconference") {
					if ((page_owner() == $_SESSION['guid'] || !page_owner()) && isloggedin()) {
 					  add_submenu_item(elgg_echo('videoconference:create'),$CONFIG->wwwroot."mod/videoconference/create.php");
						add_submenu_item(elgg_echo('videoconference:rooms'),$CONFIG->wwwroot."mod/videoconference/rooms.php");
					}
				}

		}

    function videoconference_page_handler($page) {

      // The first component of a videoconference URL is the room name
			if (isset($page[0])) {
				set_input('roomname',$page[0]);
			}

      include(dirname(__FILE__) . "/videoconference.php");
      return true;
    }

    /**
		 * Populates the ->getUrl() method for videconference objects
		 */
		function videoconference_url($conferenceroom) {
			global $CONFIG;
			$room = $conferenceroom->room;
			return $CONFIG->url . "pg/videoconference/" . urlencode($room);
		}


	// Make sure the videoconference initialisation function is called on initialisation
		register_elgg_event_handler('init','system','videoconference_init');
 		register_elgg_event_handler('pagesetup','system','videoconference_pagesetup');

	// Register actions
		global $CONFIG;
		register_action("videoconference/create",false,$CONFIG->pluginspath . "videoconference/actions/create.php");
    register_action('videoconference/delete',false,$CONFIG->pluginspath . "videoconference/actions/delete.php");
?>